<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetBankIdVerificationProgressResult StructType
 * @subpackage Structs
 */
class GetBankIdVerificationProgressResult extends AbstractStructBase
{
    /**
     * The IsCompleted
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $IsCompleted;
    /**
     * The Progress
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Progress;
    /**
     * The Error
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Error;
    /**
     * The QrData
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $QrData;
    /**
     * Constructor method for GetBankIdVerificationProgressResult
     * @uses GetBankIdVerificationProgressResult::setIsCompleted()
     * @uses GetBankIdVerificationProgressResult::setProgress()
     * @uses GetBankIdVerificationProgressResult::setError()
     * @uses GetBankIdVerificationProgressResult::setQrData()
     * @param bool $isCompleted
     * @param string $progress
     * @param string $error
     * @param string $qrData
     */
    public function __construct($isCompleted = null, $progress = null, $error = null, $qrData = null)
    {
        $this
            ->setIsCompleted($isCompleted)
            ->setProgress($progress)
            ->setError($error)
            ->setQrData($qrData);
    }
    /**
     * Get IsCompleted value
     * @return bool
     */
    public function getIsCompleted()
    {
        return $this->IsCompleted;
    }
    /**
     * Set IsCompleted value
     * @param bool $isCompleted
     * @return \StructType\GetBankIdVerificationProgressResult
     */
    public function setIsCompleted($isCompleted = null)
    {
        // validation for constraint: boolean
        if (!is_null($isCompleted) && !is_bool($isCompleted)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($isCompleted, true), gettype($isCompleted)), __LINE__);
        }
        $this->IsCompleted = $isCompleted;
        return $this;
    }
    /**
     * Get Progress value
     * @return string|null
     */
    public function getProgress()
    {
        return $this->Progress;
    }
    /**
     * Set Progress value
     * @param string $progress
     * @return \StructType\GetBankIdVerificationProgressResult
     */
    public function setProgress($progress = null)
    {
        // validation for constraint: string
        if (!is_null($progress) && !is_string($progress)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($progress, true), gettype($progress)), __LINE__);
        }
        $this->Progress = $progress;
        return $this;
    }
    /**
     * Get Error value
     * @return string|null
     */
    public function getError()
    {
        return $this->Error;
    }
    /**
     * Set Error value
     * @param string $error
     * @return \StructType\GetBankIdVerificationProgressResult
     */
    public function setError($error = null)
    {
        // validation for constraint: string
        if (!is_null($error) && !is_string($error)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($error, true), gettype($error)), __LINE__);
        }
        $this->Error = $error;
        return $this;
    }
    /**
     * Get QrData value
     * @return string|null
     */
    public function getQrData()
    {
        return $this->QrData;
    }
    /**
     * Set QrData value
     * @param string $qrData
     * @return \StructType\GetBankIdVerificationProgressResult
     */
    public function setQrData($qrData = null)
    {
        // validation for constraint: string
        if (!is_null($qrData) && !is_string($qrData)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($qrData, true), gettype($qrData)), __LINE__);
        }
        $this->QrData = $qrData;
        return $this;
    }
}
